Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Interface ConnectionStrategy

All Known Implementing Classes:
  DefaultConnectionStrategy

public interface ConnectionStrategy

Declares application module creation and connection operations.

This interface declares an application module factory and a set of strategies for complex, property-driven application module operations.

See Also:
  `ApplicationPoolImpl`

Field Summary
`static java.lang.String` | `APPLICATION_MODULE_CLASS_NAME_PROPERTY`
`static java.lang.String` | `DB_CONNECT_STRING_PROPERTY` Deprecated. use `Configuration.DB_CONNECT_STRING_PROPERTY` instead. Since 9.0.4.
`static java.lang.String` | `DB_PASSWORD_PROPERTY` Deprecated. use `Configuration.DB_PASSWORD_PROPERTY` instead. Since 9.0.4.
`static java.lang.String` | `DB_USERNAME_PROPERTY` Deprecated. use `Configuration.DB_USERNAME_PROPERTY` instead. Since 9.0.4.

Method Summary
`void` | `connect(ApplicationModule applicationModule, SessionCookie cookie, EnvInfoProvider envInfo)` Connect an application module.
`ApplicationModule` | `createApplicationModule(java.util.Hashtable environment)` Create an application module.
`ApplicationModule` | `createApplicationModule(SessionCookie cookie, EnvInfoProvider envInfo)` Create an application module.
`void` | `disconnect(ApplicationModule applicationModule, boolean retainState, SessionCookie cookie)` Disconnect an application module
`void` | `reconnect(ApplicationModule applicationModule, SessionCookie cookie, EnvInfoProvider envInfo)` Reconnect an application module

Field Detail

### DB_USERNAME_PROPERTY

    public static final java.lang.String DB_USERNAME_PROPERTY

  Deprecated. use `Configuration.DB_USERNAME_PROPERTY` instead. Since 9.0.4.
  See Also:
    Constant Field Values

### DB_PASSWORD_PROPERTY

    public static final java.lang.String DB_PASSWORD_PROPERTY

  Deprecated. use `Configuration.DB_PASSWORD_PROPERTY` instead. Since 9.0.4.
  See Also:
    Constant Field Values

### DB_CONNECT_STRING_PROPERTY

    public static final java.lang.String DB_CONNECT_STRING_PROPERTY

  Deprecated. use `Configuration.DB_CONNECT_STRING_PROPERTY` instead. Since 9.0.4.
  See Also:
    Constant Field Values

### APPLICATION_MODULE_CLASS_NAME_PROPERTY

    public static final java.lang.String APPLICATION_MODULE_CLASS_NAME_PROPERTY

  See Also:
    Constant Field Values

Method Detail

### createApplicationModule

    public ApplicationModule createApplicationModule(java.util.Hashtable environment)

  Create an application module. This operation is included in the connection strategy interface because location of an application module's home object may require a connection to another JNDI context.
  Parameters:
    `environment` - the environment which is to be used to locate the application module home. Typically derived from the application module configuration.

### createApplicationModule

    public ApplicationModule createApplicationModule(SessionCookie cookie,
                                                     EnvInfoProvider envInfo)

  Create an application module. This operation is included in the connection strategy interface because location of an application module's home object may require a connection to another JNDI context.
  Parameters:
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### connect

    public void connect(ApplicationModule applicationModule,
                        SessionCookie cookie,
                        EnvInfoProvider envInfo)

  Connect an application module.
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be connected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### reconnect

    public void reconnect(ApplicationModule applicationModule,
                          SessionCookie cookie,
                          EnvInfoProvider envInfo)

  Reconnect an application module
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be reconnected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule
    `envInfo` - the SessionCookie EnvInfoProvider if it exists. This parameter has been deprecated in 10.1.3. Applications should not use this parameter. The EnvInfoProvider will still be invoked by the ApplicationPool as documented in the EnvInfoProvider interface.

### disconnect

    public void disconnect(ApplicationModule applicationModule,
                           boolean retainState,
                           SessionCookie cookie)

  Disconnect an application module
  Parameters:
    `applicationModule` - the ApplicationModule instance that is to be disconnected.
    `cookie` - the SessionCookie instance that requested the ApplicationModule // * @param envInfo the SessionCookie EnvInfoProvider if it exists. This // * parameter has been deprecated in 10.1.3. Applications should not // * use this parameter. The EnvInfoProvider will still be invoked // * by the ApplicationPool as documented in the EnvInfoProvider // * interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.